:DISKTHREE
if exist %1\ECCO.HL1 goto COPYD3
echo:
echo: PLEASE INSERT DISK THREE INTO DRIVE %1
pause
goto DISKTHREE

:COPYD3
md %2\ECCO\ADVANCED
echo expanding files from %1 to %2\ECCO\...
expand %1\legal.ec_ %2\ecco\advanced\legal.ect
expand %1\manager.ec_ %2\ecco\advanced\manager.ect
expand %1\sales.ec_ %2\ecco\advanced\sales.ect
expand %1\project.ec_ %2\ecco\advanced\project.ect
expand %1\research.ec_ %2\ecco\advanced\research.ect
expand %1\features.ec_ %2\ecco\features.eco
expand %1\travel.ec_ %2\ecco\travel.eco
expand %1\phoop.wa_ %2\ecco\phoop.wav
echo Copying part two of ecco.hlp to %2\ecco\ ...
copy %1\whistle.wav
copy %1\ecco.hl1


:DISKTWO
if exist %1\ECCO.HL0 goto COPYD2
echo:
echo PLEASE INSERT DISK TWO INTO DRIVE %1
pause
goto DISKTWO

:COPYD2
echo Copying part one of ecco.hlp to %2\ecco\ ...
copy %1\ecco.hl0
echo Joining ecco.hl0 and ecco.hl1 to make ecco.hl_ ...
copy /b ecco.hl0 /b + ecco.hl1 /b ecco.hl_ /b
expand %2\ecco\ecco.hl_ %2\ecco\ecco.hlp
echo deleting compressed files...
echo ecco.hl0...
del ecco.hl0
echo ecco.hl1...
del ecco.hl1
echo ecco.hl_...
del ecco.hl_

echo expanding files from %1 to %2\ECCO\...
expand %1\slides.hl_ %2\slides.hlp


:DISKONE
if exist %1\ECCO.EX_ goto COPYD1
echo:
echo PLEASE INSERT DISK ONE INTO DRIVE %1
pause
goto DISKONE

:COPYD1
expand %1\ecco.cf_ %2\ecco\ecco.cfg
expand %1\demo.dl_ %2\ecco\demo.dll
expand %1\default.ec_ %2\ecco\default.ect
expand %1\tmplate1.ec_ %2\ecco\tmplate1.ect

copy %1\readme.txt %2\ecco\readme.txt
expand %1\ecco.ex_ %2\ecco\ecco.exe


echo ------------------------------------------------------------------------------
echo -                                                                            -
echo - Arabesque ECCO has been installed on your hard disk. Please copy the       -
echo - ECCO.CFG file from your ECCO directory to your WINDOWS directory.          -
echo -                                                                            -
echo - If you have not yet been in contact with Arabesque Customer Support,       -
echo - please call at 206-885-0559 and let us know why you had to use the ECCO    -
echo - Emergency Install batch file to install ECCO.                              -
echo -                                                                            -
echo -           Thank you.                                                       -
echo -                                                                            -
echo ------------------------------------------------------------------------------

